## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname vlc-bittorrent

Name:           vlc-plugin-bittorrent
Version:        2.14
Release:        %autorelease -b 4
Summary:        Bittorrent plugin for VLC
License:        GPL-3.0-or-later
URL:            https://github.com/johang/vlc-bittorrent
Source:         %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  autoconf-archive
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(vlc-plugin) >= 3.0.0
BuildRequires:  pkgconfig(libtorrent-rasterbar) >= 1.0.0

Requires:       vlc-plugins-base%{?_isa}

Obsoletes:      vlc-bittorrent < 2.14-4
Provides:       vlc-bittorrent = %{version}-%{release}


%description
With vlc-bittorrent, you can open a .torrent file or magnet link with
VLC and stream any media that it contains.


%prep
%autosetup -n %{srcname}-%{version} -p1
autoreconf -vif
# do not hardcode vlc path, for flatpak builds
sed -i -e 's|/usr/bin/||' data/%{name}.desktop


%build
%if 0%{?fedora} >= 41 || 0%{?rhel} >= 10
# https://fedoraproject.org/wiki/Changes/OpensslDeprecateEngine
CXXFLAGS="$CXXFLAGS -DOPENSSL_NO_ENGINE"
%endif
%configure --disable-static --libdir=%{vlc_plugindir}/access
%make_build


%install
%make_install
# still needed for RHEL 9 and older
find %{buildroot}%{_libdir} -name "*.la" -delete


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%license LICENSE
%doc README.md
%{vlc_plugindir}/access/libaccess_bittorrent_plugin.so
%{_datadir}/applications/%{name}.desktop


%changelog
## START: Generated by rpmautospec
* Mon Jul 29 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 2.14-8
- Fix F41FTBFS for OpensslDeprecateEngine

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 15 2023 Yaakov Selkowitz <yselkowitz@fedoraproject.org> - 2.14-4
- Initial Fedora import

* Wed Aug 02 2023 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 2.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Mon Aug 08 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 2.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild and ffmpeg
  5.1

* Fri Apr 15 2022 Leigh Scott <leigh123linux@gmail.com> - 2.14-1
- Update to 2.14

* Wed Feb 09 2022 RPM Fusion Release Engineering <sergiomb@rpmfusion.org> - 2.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 03 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 2.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 2021 Leigh Scott <leigh123linux@gmail.com> - 2.13-1
- Update to 2.13

* Sat Apr 24 2021 Leigh Scott <leigh123linux@gmail.com> - 2.12-2
- Rebuilt for removed libstdc++ symbol (#1937698)

* Thu Feb 04 2021 Leigh Scott <leigh123linux@gmail.com> - 2.12-1
- Update to 2.12

* Thu Feb 04 2021 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 2.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Aug 18 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 2.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jul 21 2020 Leigh Scott <leigh123linux@gmail.com> - 2.11-1
- Update to 2.11

* Thu Jun 04 2020 Leigh Scott <leigh123linux@gmail.com> - 2.10-1
- Update to 2.10

* Wed Feb 05 2020 RPM Fusion Release Engineering <leigh123linux@gmail.com> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Nov 29 2019 Leigh Scott <leigh123linux@gmail.com> - 2.7-3
- Add fix for rfbz#5433

* Mon Oct 28 2019 Leigh Scott <leigh123linux@googlemail.com> - 2.7-2
- Rebuild for libtorrent SONAME bump

* Wed Aug 21 2019 Nicolas Chauvet <kwizart@gmail.com> - 2.7-1
- Update to 2.7

* Mon Jun 17 2019 Nicolas Chauvet <kwizart@gmail.com> - 2.6-1
- Initial spec file

## END: Generated by rpmautospec
